Subject: Re: [PATCH] char: xilinx_hwicap: replace in_be32/out_be32 with ioread32be/iowrite32be

From: Michal Simek <[email-masked]>
Date: Thu, 4 Jun 2026 08:30:17 +0200

On 6/3/26 21:52, Rosen Penev wrote:
> On Mon, Jun 1, 2026 at 11:22 PM Michal Simek <[email-masked]> wrote:
>>
>>
>>
>> On 6/2/26 05:57, Rosen Penev wrote:
>>> Mechanical conversion of the ppc4xx-specific accessors to the generic
>>> portable helpers.
>>>
>>> As a result, COMPILE_TEST is added for extra compile coverage.
>>>
>>> Assisted-by: opencode:big-pickle
>>> Signed-off-by: Rosen Penev <[email-masked]>
>>> ---
>>>    drivers/char/Kconfig                     |  2 +-
>>>    drivers/char/xilinx_hwicap/buffer_icap.c | 16 +++++------
>>>    drivers/char/xilinx_hwicap/fifo_icap.c   | 34 +++++++++++-------------
>>>    3 files changed, 24 insertions(+), 28 deletions(-)
>>
>> I don't really mind about this because I think that we can also remove the whole
>> driver.
> I looked into this. The problem here is that there are actual users
> 
> arch/microblaze/boot/dts/system.dts
> 
> and
> 
> arch/mips/boot/dts/xilfpga/nexys4ddr.dts

I can't see users of it.

on v7.1-rc1
$ git grep opb-hwicap
Documentation/devicetree/bindings/xilinx.txt:126: 
"xlnx,opb-hwicap-1.00.b".
drivers/char/xilinx_hwicap/xilinx_hwicap.c:733: { .compatible = 
"xlnx,opb-hwicap-1.00.b", .data = &buffer_icap_config},
$ git grep xps-hwicap
Documentation/devicetree/bindings/xilinx.txt:125:               - compatible : 
should contain "xlnx,xps-hwicap-1.00.a" or
drivers/char/xilinx_hwicap/xilinx_hwicap.c:734: { .compatible = 
"xlnx,xps-hwicap-1.00.a", .data = &fifo_icap_config},

Thanks,
Michal